Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 340445 - x11-libs/libX11 should not report about RANDR missing when xinerama is enabled
Summary: x11-libs/libX11 should not report about RANDR missing when xinerama is enabled
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 341323
  Show dependency tree
 
Reported: 2010-10-11 00:39 UTC by DEMAINE Benoît-Pierre, aka DoubleHP
Modified: 2010-10-17 10:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DEMAINE Benoît-Pierre, aka DoubleHP 2010-10-11 00:39:37 UTC
x11-libs/libX11 should not produce this message:
Xlib:  extension "RANDR" missing on display ":0.0".
when Xinerama is enabled.

It's boring and useless.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2010-10-12 17:58:37 UTC
Nothing we can do. Reopen this when it's fixed upstream?
Comment 2 DEMAINE Benoît-Pierre, aka DoubleHP 2010-10-12 18:07:53 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=30806

No i won't come back it when it's fixed. Because they will take years to fix this; when they do, I will forget to come back here to report (too many bugs to track - I can't memorise what I have to do when each are closed ... especially when it takes up to 8 years to fix them).
Comment 3 DEMAINE Benoît-Pierre, aka DoubleHP 2010-10-13 14:16:42 UTC
The "not-a-bug-we-can-fix" have been "fixed (or not because there was no bug)" for xrandr; see comment 4 6 and 7.

For other apps i mentionned in comment 3, I will not be able to handle this alone:
Thunderbird 3.1.3 , Firefox 3.6.9 , Pidgin 2.7.2 , gkrellm 2.3.2 ,
Xdialogs 2.3.1 , Rox-Memo (Python), Rox-Filer, gmpc, -xrandr-, acroread, dvdrip (twice !!!), grip, gnumeric, pcb (Geda), gschem
(Geda), Dia, Opera, amule, pornview.

I need help to find common point for the apps that have a common point, and how to report the bug to upstream teams.
Comment 4 DEMAINE Benoît-Pierre, aka DoubleHP 2010-10-16 17:26:36 UTC
=> http://bugs.gentoo.org/show_bug.cgi?id=341323
Comment 5 SpanKY gentoo-dev 2010-10-17 04:19:11 UTC
(In reply to comment #2)
> No i won't come back it when it's fixed. Because they will take years to fix
> this; when they do, I will forget to come back here to report (too many bugs to
> track - I can't memorise what I have to do when each are closed ... especially
> when it takes up to 8 years to fix them).

... and having a bug open in our tracker for years which isnt going to change until upstream fixes things is pretty much worthless
Comment 6 Rémi Cardona gentoo-dev 2010-10-17 08:34:39 UTC
Removing x11 from CC, this is a bug for upper layers. If any *specific* x11-owned package wrongly calls xrandr, please file a separate bug for that.

Thanks
Comment 7 DEMAINE Benoît-Pierre, aka DoubleHP 2010-10-17 10:22:30 UTC
(In reply to comment #5)
> ... and having a bug open in our tracker for years which isnt going to change
> until upstream fixes things is pretty much worthless
> 

I had not understood this message until I read your comment in bug 341323 . I repeat myself for clarity: read https://bugs.freedesktop.org/show_bug.cgi?id=30806
 . There is no upstream bug to fix in Xorg. Xrandr have been fixed already, and they say LibXext is fine. If I(we) am unhappy with this, they implicitly expect me to report to application upstreams.